<script setup lang="ts">
import { useCustomerStore } from '@/Customer/stores/customer'
import { onMounted } from 'vue'
import CustomerDialog from '../components/CustomerDialog.vue'

const customerStore = useCustomerStore()

onMounted(() => {
  customerStore.getAll()
})
</script>

<template>
  <CustomerDialog></CustomerDialog>
  <v-data-table
    class="h-100"
    fixed-header
    :headers="customerStore.headers"
    :items="customerStore.items"
  >
    <!-- style="background-color: rgba(58, 49, 43, 0.923)" -->
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Customer Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="customerStore.openDialog()"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.telephone }}</td>
        <td>{{ item.registerDate?.toString() }}</td>
        <td>{{ item.birthDay.toString() }}</td>
        <td>{{ item.point }}</td>
        <td>
          <v-icon size="small" class="me-2" @click="customerStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="customerStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>

<style scoped></style>
